Debian Bug report logs - #275373
Segfaults with bogofilter -n

version graph

Package: bogofilter; Maintainer for bogofilter is Serafeim Zanikolas <sez@debian.org>; Source for bogofilter is src:bogofilter.

Reported by: Antti-Juhani Kaijanaho <ajk@debian.org>

Date: Thu, 7 Oct 2004 18:18:01 UTC

Severity: normal

Found in version 0.92.7-1

Fixed in version bogofilter/0.92.8-1

Done: Clint Adams <schizo@debian.org>

Bug is archived. No further changes may be made.

Forwarded to bogofilter-dev@bogofilter.org

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Clint Adams <schizo@debian.org>:
Bug#275373; Package bogofilter. Full text and rfc822 format available.

Acknowledgement sent to Antti-Juhani Kaijanaho <ajk@debian.org>:
New Bug report received and forwarded. Copy sent to Clint Adams <schizo@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Antti-Juhani Kaijanaho <ajk@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: Segfaults with bogofilter -n
Date: Thu, 07 Oct 2004 21:03:01 +0300
[Message part 1 (text/plain, inline)]
Package: bogofilter
Version: 0.92.7-1
Severity: normal

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

The attached message causes bogofilter -n segfault.

(The mail is from a confidential mailing list and thus the attachment is
GPG encrypted.  I have no problems if you read it or you forward it to
other developers you trust, but please do not publish it.)

- -- System Information:
Debian Release: 3.1
  APT prefers unstable
  APT policy: (500, 'unstable'), (1, 'experimental')
Architecture: i386 (i686)
Kernel: Linux 2.6.7-1-686
Locale: LANG=fi_FI.UTF-8, LC_CTYPE=fi_FI.UTF-8

Versions of packages bogofilter depends on:
ii  libc6                       2.3.2.ds1-17 GNU C Library: Shared libraries an
ii  libdb4.2                    4.2.52-17    Berkeley v4.2 Database Libraries [
ii  libgsl0                     1.5-2        The GNU Scientific Library (GSL) -

- -- no debconf information

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.2.5 (GNU/Linux)

iD8DBQFBZYTVHsI32VNFhOgRAid0AJ9z+uE3xPxXPPWu+g/uXN7u65FPxgCeIKVm
OQjHhL40pA/qy7SN6ZK/hPM=
=4wLV
-----END PGP SIGNATURE-----
[trigger-message.asc (text/pgp, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#275373; Package bogofilter. Full text and rfc822 format available.

Acknowledgement sent to Clint Adams <schizo@debian.org>:
Extra info received and forwarded to list. Full text and rfc822 format available.

Message #10 received at 275373@bugs.debian.org (full text, mbox):

From: Clint Adams <schizo@debian.org>
To: Antti-Juhani Kaijanaho <ajk@debian.org>, 275373@bugs.debian.org
Subject: Re: Bug#275373: Segfaults with bogofilter -n
Date: Fri, 8 Oct 2004 10:29:24 -0400
> The attached message causes bogofilter -n segfault.
> 
> (The mail is from a confidential mailing list and thus the attachment is
> GPG encrypted.  I have no problems if you read it or you forward it to
> other developers you trust, but please do not publish it.)

The problem is with the odd RFC2047-like stuff in the Subject line; is that
part also confidential?

I'll try to construct a fictional Subject line with similar breakage.



Information forwarded to debian-bugs-dist@lists.debian.org, Clint Adams <schizo@debian.org>:
Bug#275373; Package bogofilter. Full text and rfc822 format available.

Acknowledgement sent to Antti-Juhani Kaijanaho <ajk@debian.org>:
Extra info received and forwarded to list. Copy sent to Clint Adams <schizo@debian.org>. Full text and rfc822 format available.

Message #15 received at 275373@bugs.debian.org (full text, mbox):

From: Antti-Juhani Kaijanaho <ajk@debian.org>
To: Clint Adams <schizo@debian.org>
Cc: 275373@bugs.debian.org
Subject: Re: Bug#275373: Segfaults with bogofilter -n
Date: Fri, 8 Oct 2004 17:34:16 +0300
On 20041008T102924-0400, Clint Adams wrote:
> The problem is with the odd RFC2047-like stuff in the Subject line; is that
> part also confidential?

Unfortunately yes.

> I'll try to construct a fictional Subject line with similar breakage.

Thanks.
-- 
Antti-Juhani Kaijanaho, Debian developer 

http://kaijanaho.info/antti-juhani/blog/en/debian



Reply sent to Clint Adams <schizo@debian.org>:
You have marked Bug as forwarded. Full text and rfc822 format available.

Message #18 received at 275373-forwarded@bugs.debian.org (full text, mbox):

From: Clint Adams <schizo@debian.org>
To: bogofilter-dev@bogofilter.org
Cc: 275373-forwarded@bugs.debian.org
Subject: segfault on rfc2047-like subject
Date: Fri, 8 Oct 2004 10:36:04 -0400
The following message causes 0.92.7 to segfault.  I'd try with current
CVS, but it won't compile.

From nowhere@example.com Thu Sep 16 21:42:32 2004
Subject: [Broken] =?ISO-8859-1?Q?Re=3A_=5BBroken=5D_=3D=3FISO-8859-1=3FQ=3F=3D5B?=
 =?ISO-8859-1?Q?Broken=3D5DBlah=3D20Foo=3DE4=3D20Bar=3D20Blah
 _?= =?ISO-8859-1?Q?Foo=3D3D28=3D5F=3F=3D_Bar=5F=5F=3F=3D_t=E4Blah?=
 =?ISO-8859-1?Q?Foo=E4t=29?=
X-Spam-Status: No, hits=0.0 required=5.0 tests=none autolearn=no version=2.64
Status: RO
Content-Length: 4
Lines: 1

Hi.




Message #19 received at 275373-forwarded@bugs.debian.org (full text, mbox):

From: David Relson <relson@osagesoftware.com>
To: Clint Adams <schizo@debian.org>
Cc: bogofilter-dev@bogofilter.org, 275373-forwarded@bugs.debian.org
Subject: compilation problem [was: segfault on rfc2047-like subject]
Date: Fri, 8 Oct 2004 19:29:43 -0400
On Fri, 8 Oct 2004 10:36:04 -0400
Clint Adams wrote:

> The following message causes 0.92.7 to segfault.  I'd try with current
> CVS, but it won't compile.

Eh?  Won't compile?  Works fine for me and everyone else I'm aware of.

What compiler (gcc?) version are you using?  What message(s) are you
getting.

The only change I know of between 0.92.7 and cvs (until the last hour)
was a fix made to bogotune.c several days ago, i.e.

diff -u -r --exclude-from=diff.excl 0927/src/bogotune.c
cvs/src/bogotune.c
--- 0927/src/bogotune.c	2004-09-30 23:26:09.000000000 -0400
+++ cvs/src/bogotune.c	2004-10-08 19:19:14.144027720 -0400
@@ -1,4 +1,4 @@
-/* $Id: bogotune.c,v 1.160 2004/10/01 03:26:09 relson Exp $ */
+/* $Id: bogotune.c,v 1.161 2004/10/03 22:35:58 m-a Exp $ */
 

/**********************************************************************
*******
 
@@ -876,10 +876,10 @@
 		case 'd':
 		    argc -= 1;
 		    ds_file = *++argv;
-		    ds_flag = (ds_flag = DS_NONE) ? DS_DSK : DS_ERR;
+		    ds_flag = (ds_flag == DS_NONE) ? DS_DSK : DS_ERR;
 		    break;
 		case 'D':
-		    ds_flag = (ds_flag = DS_NONE) ? DS_RAM : DS_ERR;
+		    ds_flag = (ds_flag == DS_NONE) ? DS_RAM : DS_ERR;
 		    break;
 		case 'E':
 		    esf_flag ^= true;



Reply sent to Clint Adams <schizo@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Antti-Juhani Kaijanaho <ajk@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #24 received at 275373-close@bugs.debian.org (full text, mbox):

From: Clint Adams <schizo@debian.org>
To: 275373-close@bugs.debian.org
Subject: Bug#275373: fixed in bogofilter 0.92.8-1
Date: Tue, 19 Oct 2004 21:32:02 -0400
Source: bogofilter
Source-Version: 0.92.8-1

We believe that the bug you reported is fixed in the latest version of
bogofilter, which is due to be installed in the Debian FTP archive:

bogofilter_0.92.8-1.diff.gz
  to pool/main/b/bogofilter/bogofilter_0.92.8-1.diff.gz
bogofilter_0.92.8-1.dsc
  to pool/main/b/bogofilter/bogofilter_0.92.8-1.dsc
bogofilter_0.92.8-1_sparc.deb
  to pool/main/b/bogofilter/bogofilter_0.92.8-1_sparc.deb
bogofilter_0.92.8.orig.tar.gz
  to pool/main/b/bogofilter/bogofilter_0.92.8.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 275373@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Clint Adams <schizo@debian.org> (supplier of updated bogofilter package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Tue, 19 Oct 2004 21:05:00 -0400
Source: bogofilter
Binary: bogofilter
Architecture: source sparc
Version: 0.92.8-1
Distribution: unstable
Urgency: medium
Maintainer: Clint Adams <schizo@debian.org>
Changed-By: Clint Adams <schizo@debian.org>
Description: 
 bogofilter - a fast Bayesian spam filter
Closes: 275373
Changes: 
 bogofilter (0.92.8-1) unstable; urgency=medium
 .
   * New upstream current release.
     (This fixes a rfc2047 qp decoding segfault.) closes: #275373.
Files: 
 28289a1ed1415cc04a7226e85289ebb7 596 mail optional bogofilter_0.92.8-1.dsc
 f8732688a3fe887a67da0ec39dbb06a1 758764 mail optional bogofilter_0.92.8.orig.tar.gz
 8dffe37839fd329f3695191e9872d538 8078 mail optional bogofilter_0.92.8-1.diff.gz
 dbbe1a0e2ddd9c4afd7dfba6cdd71795 286926 mail optional bogofilter_0.92.8-1_sparc.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.2.4 (GNU/Linux)
Comment: Debian!

iD8DBQFBdbyW5m0u66uWM3ARAuwNAJ9gioZToaEuRB13Sms4cLggC757GgCg1R9k
GXQaTe+xvSp0HUHgxPGWvrc=
=X7Im
-----END PGP SIGNATURE-----




Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 07:46:37 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.